import request from '@/utils/request'


// 获取动态表头
export function getHeaderList(patentTypes,applicantTypes) {

  let params={};
  params.patentTypes=patentTypes;
  params.applicantTypes=applicantTypes;
  console.log('patentTypes:'+patentTypes+',applicantTypes:'+applicantTypes)
  return request({
    url: '/report/rzlClassStatisticsInfo/getHeader',
    method: 'get',
    params: params
  })
}

// 获取查询年列表
export function getYearList() {
  return request({
    url: '/system/urPatentValid/getYearList',
    method: 'get'
  })
}
// 获取省市列表
export function getRegionList(data) {
  return request({
    url: '/system/bladeRegion/getDataList',
    method: 'post',
    data: data
  })
}


// 查询专利授权-分类统计列表
export function listRzsClassStatisticsInfo(query) {
  return request({
    url: '/reportrzs/rzsClassStatisticsInfo/list',
    method: 'get',
    params: query
  })
}

// 查询专利授权-分类统计详细
export function getRzsClassStatisticsInfo(id) {
  return request({
    url: '/reportrzs/rzsClassStatisticsInfo/' + id,
    method: 'get'
  })
}

// 新增专利授权-分类统计
export function addRzsClassStatisticsInfo(data) {
  return request({
    url: '/reportrzs/rzsClassStatisticsInfo',
    method: 'post',
    data: data
  })
}

// 修改专利授权-分类统计
export function updateRzsClassStatisticsInfo(data) {
  return request({
    url: '/reportrzs/rzsClassStatisticsInfo',
    method: 'put',
    data: data
  })
}

// 删除专利授权-分类统计
export function delRzsClassStatisticsInfo(id) {
  return request({
    url: '/reportrzs/rzsClassStatisticsInfo/' + id,
    method: 'delete'
  })
}
